﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Fantasia.Imaging.Silverlight.Utilities;

namespace Fantasia.Imaging.Silverlight
{
    public class CompositeColor
    {
        public Color Color;

        /// <summary>
        /// X location on color picker
        /// </summary>
        public int X;

        /// <summary>
        /// Y location on color picker
        /// </summary>
        public int Y;

        /// <summary>
        /// Z location on color picker
        /// </summary>
        public int Z;

        public CompositeColor(Color color, int x, int y, int z)
        {
            Color = color;
            X = x;
            Y = y;
            Z = z;
        }

        public void SetColor(Color color)
        {
            Color = color;
            ColorHelper.GetWheelCoordinatesFromColor(color.R, color.G, color.B, out X, out Y, out Z);
        }
    }
}
